#include <stdio.h>




int main()

{
	int n,k;
	int niz[n];
	int i=0;
	scanf("%d%d",&n,&k);
	for (i=0;i<n;i++){
		scanf("%d",&niz[i]);
	}
	int br,u=0,x=0-n,y=0;
	int nizz[n];
	for (x=-n;x<=n;x++){
			int z=0;
			for(y=0;y<n;y++){
				if (niz[y]==x) z+=1;
				if (z==k){
					++u;
					nizz[u-1]=x;
					}
				}
		}
		printf("%d\n",u);
		br=0;
		for (br=0;br<u;br++){
			printf("%d ",nizz[br]);
		}
	return 0;
}